# Generated by Django 5.0.12 on 2025-02-28 10:00

import django.contrib.postgres.fields
from django.db import migrations, models

from openbook_terms.helpers import topics_to_topic_v2_slugs


def migrate_feed_post_topics(apps, schema_editor):
    FeedPost = apps.get_model("feed_posts", "FeedPost")

    for post in FeedPost.objects.all():
        old_topics = post.topics.all()
        new_topics = topics_to_topic_v2_slugs(old_topics)

        post.topics_v2 = new_topics
        post.save()


class Migration(migrations.Migration):
    dependencies = [
        ("feed_posts", "0017_feedconfig"),
    ]

    operations = [
        migrations.AddField(
            model_name="feedpost",
            name="topics_v2",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=128), blank=True, default=list, size=None
            ),
        ),
        migrations.RunPython(migrate_feed_post_topics),
    ]
