# Generated by Django 5.0.13 on 2025-03-20 04:42

from django.db import migrations, models

from openbook_common.utils.model_loaders import get_feed_post_model


def get_table_name() -> str:
    FeedPostModel = get_feed_post_model()
    return FeedPostModel._meta.db_table


def run_migration(apps, schema_editor):
    schema_editor.execute(f"""
    UPDATE {get_table_name()}
    SET geolocation_geojson = jsonb_build_object(
        'type', 'Point',
        'coordinates', ARRAY[
            ST_X(geolocation::geometry),
            ST_Y(geolocation::geometry)
        ]
    )
    WHERE geolocation IS NOT NULL;
    """)


def reverse_migration(apps, schema_editor):
    schema_editor.execute(f"""
    UPDATE {get_table_name()}
    SET geolocation_geojson = NULL;
    """)


class Migration(migrations.Migration):
    dependencies = [
        ("feed_posts", "0019_feedpost_feed_posts__topics__9ffb13_gin"),
    ]

    operations = [
        migrations.AddField(
            model_name="feedpost",
            name="geolocation_geojson",
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.RunPython(run_migration, reverse_migration),
    ]
