# Generated by Django 4.1.3 on 2023-04-19 14:15

from django.contrib.gis.db import models
from django.db import migrations


def migrate_point_to_multipolygon(apps, schema_editor):
    UserProfile = apps.get_model("openbook_auth", "UserProfile")
    for instance in UserProfile.objects.all():
        instance.geolocation = None
        instance.save()


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_auth", "0013_userprofile_geolocation"),
    ]

    operations = [
        migrations.RunPython(migrate_point_to_multipolygon),
        migrations.AlterField(
            model_name="userprofile",
            name="geolocation",
            field=models.MultiPolygonField(blank=True, null=True, srid=4326),
        ),
    ]
