# Generated by Django 5.0.12 on 2025-02-28 09:08
from django.db import migrations, models

from openbook_common.topics import slug_to_topic_v2


def migrate_topics(apps, schema_editor):
    Insight = apps.get_model("openbook_insights", "Insight")

    for insight in Insight.objects.all():
        if insight.topic is not None:
            insight.topic_v2 = slug_to_topic_v2(insight.topic.slug)
            insight.save()


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_insights", "0019_insight_polls"),
    ]

    operations = [
        migrations.AddField(
            model_name="insight",
            name="topic_v2",
            field=models.CharField(blank=True, max_length=128, null=True),
        ),
        migrations.RunPython(migrate_topics),
    ]
